vsync(3)

NAME
vsync

SYNOPSIS
#include <allegro.h>

void vsync();

DESCRIPTION
Waits for a vertical retrace to begin. The retrace happens when the electron beam in your monitor has reached the bottom of the screen and is moving back to the top ready for another scan. During this short period the graphics card isn't sending any data to the monitor, so you can do things to it that aren't possible at other times, such as altering the palette without causing flickering (snow). Allegro will automatically wait for a retrace before altering the palette or doing any hardware scrolling, though, so you don't normally need to bother with this function.

SEE ALSO
set_palette(3), scroll_screen(3), timer_simulate_retrace(3)